import { ApplicationInfo } from './app';
export interface OTPFallbackOptions {
    enabled: boolean;
    fullyRandom: boolean;
    baseDomains: string | string[];
    token: string;
    timePeriod?: number;
}
export interface ResourceFallbackOptions {
    domains: string[];
    otp?: OTPFallbackOptions;
}
export interface EndpointFallbackOptions {
    endpoints: string[];
    otp?: OTPFallbackOptions & {
        path?: string;
    };
}
export interface FallbackOptions {
    resource: ResourceFallbackOptions;
    endpoint: EndpointFallbackOptions;
}
export interface RemoteOptions {
    endpoints: string[];
    async?: boolean;
    token?: string;
    requestAll?: boolean;
    fetchOptions?: RequestInit;
}
export interface JinDanConstructorOptions {
    fallback: FallbackOptions;
    remote: RemoteOptions;
    appInfo: ApplicationInfo;
}
